# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-use-ok
Version:	0.11
Release:	1.%{__distinit}%{__distvers}
Summary:	Alternative to Test::More::use_ok
License:	CC0 
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-use-ok/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Test-use-ok-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
According to the Test::More documentation, it is recommended to run
use_ok() inside a BEGIN block, so functions are exported at compile-time
and prototypes are properly honored.

However, people often either forget to add "BEGIN", or mistakenly group 
"use_ok" with other tests in a single "BEGIN" block, which can create
subtle differences in execution order.

With this module, simply change all "use_ok" in test scripts to "use ok", 
and they will be executed at "BEGIN" time. The explicit space after "use"
makes it clear that this is a single compile-time action.

%prep
%setup -q -n Test-use-ok-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/ok.pm
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::use::ok.3pm*
%{_mandir}/man3/ok.3pm*

%changelog
* Tue Sep 11 2012 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - LICENSING CHANGE: this compilation and all individual files in it are now
    under the nullary CC0 1.0 Universal terms:
    To the extent possible under law, 唐鳳 has waived all copyright and
    related or neighboring rights to Test-use-ok
  - Update t/01-basic.t to work with Test::Simple 0.98_02 and later
- License changed from MIT to CC0

* Tue Aug 28 2012 Paul Howarth <paul@city-fan.org> - 0.02-16
- BR: perl(Cwd), perl(File::Path) and perl(File::Spec) for bundled
  Module::Install

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 0.02-14
- Perl 5.16 rebuild

* Sun Mar 25 2012 Paul Howarth <paul@city-fan.org> - 0.02-13
- Don't need to remove empty directories from buildroot
- Drop redundant buildreq perl(Test::Harness)
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 0.02-12
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Apr 29 2011 Paul Howarth <paul@city-fan.org> - 0.02-11
- Import from Fedora

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.02-9
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.02-8
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.02-7
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.02-4
- Rebuild for new perl

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.02-3
- Bump

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.02-2
- Updated with core modules as BR's

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.02-1
- Specfile autogenerated by cpanspec 1.70
